@CHARSET "UTF-8";

@import url("showHideDiv.css");
@import url("loadingDiv.css");

#classcalendar { width: 70%; float:left; }
#saveCalendar  { margin: 10px auto; }
#selectClassContainer { padding:10px; margin-bottom: 15px; }

#calendar-boxes-container { width: calc(30% - 2em); float: right; padding: 0 1em; }

#servicetypeContainer,
#classrooms,
#tutorsListContainer,
#deleteButtonContainer,
#deleteAllButtonContainer,
#reminderButtonContainer,
#repeatButtonContainer,
#buttonsContainer { padding: 1em; margin: 0 0 1em 0 ; width: calc(100% - 2em); }
/**
 * #classrooms div starts hidden, it will
 * be shown by the javascript if needed
 */
#classrooms { display: none; }

#classcalendar .fc-custom { float: right; margin:5px 0 -10px 0; clear:both; }
#classcalendar .fc-custom label { margin:0; }

#deleteButtonContainer,
#deleteAllButtonContainer,
#reminderButtonContainer,
#repeatButtonContainer,
#buttonsContainer { border:none; text-align: center; padding-top:0; padding-bottom:0; }

#reminderButtonContainer { width: 100%; margin: 0; padding: 0; }
#reminderButtonContainer .reminderDetailsContainer { display: flex; align-items: center; }
#reminderButtonContainer .reminderDetailsContainer .reminderDetails { margin-right: auto; }
#reminderButtonContainer .reminderDetailsContainer button { margin-left: auto; }

label.venuesListLabel { display: block; margin-bottom: 5px; }
#venuesList, #tutorSelect { width: 100%; display: block; margin-bottom: 5px; }
#instancesList { min-width: 40%; }
.selectclassroomspan,
.selecttutorspan { display: block; margin-bottom: 5px; }
.selectclassroomspan { margin-top: 5px; }

#tutorslist input[name="tutorradio"] { float:left; }
#tutorslist .tutorradiotext { width:88%; float: left; margin-bottom: 2%; overflow: hidden; text-overflow: ellipsis; }

#calendarContainer label { cursor: pointer; }

ul#serviceduration { padding: 0 15px 0 15px; margin:5px 0 0 0;  }
ul#serviceduration li { color: #000; border:none; }

span.roomnameInEvent { color: gold; margin: 5px 0 0 5px; display: block; }
span.tutornameInEvent { color: darkgreen; margin: 5px 0 0 5px; display: block; }
span.studentcount { display: block; margin-top: 5px; }

a.noteditableClassroomEvent { background: lightslategray; opacity:0.9; z-index:1 !important; pointer-events: none; }
a.editableClassroomEvent { z-index: 2 !important; }
/**
 * details, alert and confirm dialogs
 */
#confirmDialog,.ui-dialog-titlebar,.ui-button-text
    {
    font-size: 0.9em;
}

div#confirmDialog {
    display: none;
    width:70%;
}

#confirmDialog {
    text-align: center;
}

div#confirmDialog .dialogQuestion {
    text-align: center;
    display: inline-block;
    margin-top: 15px;
    overflow: none;
}

div#confirmDialog #tutorOverlapquestion {
	margin-top: 5px;
	line-height: 1.4em;
}

#deleteAllButtonInstanceName,
#overlapInstanceName,
#overlapDate,
#overlapStartTime,
#overlapEndTime,
#overlapTutorName {
	font-weight: bold;
}

#classcalendar a.selectedClassroomEvent { background: red; }
#reminderDialog { display: none; }
#reminderDialogContent { width: 80%; float:left; }
#reminderLegend { width: 19%; float:right; border: 1px dotted gray; position: relative; margin-top: 9px; }
#reminderLegend ol { padding: 0 0 0 30px; margin: 5px 0 10px 10px; }
#reminderLegend li { line-height: 1.5em;}
#reminderLegend .legendTitle { position: relative; top: -8px; left: 5px; background: white; border: 1px dotted gray; padding: 2px 5px 2px 5px; }
#reminderDialogContent input[type=submit] { display: none; }
#reminderDialogContent div.fform { width: 100%; padding:0; margin:0; }
#reminderDialogContent div.fform label { display: block; width: 100%; }
#reminderDialogContent div.fform form fieldset li { padding:0; border:none; cursor: pointer; }
#servicetypeContainer { display: none; }
body.ada-utente #classcalendar .fc-event:hover { cursor: pointer; }
